Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card	(revision 925)
@@ -0,0 +1,63 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/dust.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/river.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc, .)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}, namelist_top), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}, namelist_pisces)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (ORCA2_1m_ptrc_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_ptrc_T.nc, Post_1M_ptrc_T), \
+        (ORCA2_1m_diad_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_diad_T.nc, Post_1M_diad_T), \
+        (ORCA2_1d_ptrc_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT2}_ptrc_T.nc, Post_1D_ptrc_T), \
+        (ORCA2_1d_diad_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT2}_diad_T.nc, Post_1D_diad_T)
+
+[Post_1M_ptrc_T]
+Patches = (Patch_20091030_histcom_time_axis, Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (Alkalini, DIC, NO3)
+ChunckJob3D = NONE
+
+[Post_1M_diad_T]
+Patches = (Patch_20091030_histcom_time_axis, Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars2D = (Cflx)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (PH)
+ChunckJob3D = NONE
+
+[Post_1D_ptrc_T]
+Patches = (Patch_20091030_histcom_time_axis, Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (DIC)
+ChunckJob3D = NONE
+
+[Post_1D_diad_T]
+Patches = (Patch_20091030_histcom_time_axis, Patch_20091118_mask)
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars2D = (Cflx)
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card.noiomput
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card.noiomput	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.card.noiomput	(revision 925)
@@ -0,0 +1,40 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+
+[InitialStateFiles]
+List= ()
+
+[BoundaryFiles]
+List=	()
+ListNonDel= (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/kRGB61.txt, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/dust.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/bathy.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/river.orca.nc, .), \
+            (${R_BC}/OCE/${config_UserChoices_TagName}/${opa9_UserChoices_ORCA_version}/ndeposition.orca.nc, .), \
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}, namelist_top), \
+        (${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE}, namelist_pisces)
+
+[RestartFiles]
+List=	(${config_UserChoices_JobName}_${NEMO_END}_restart_trc.nc,  restart_trc.nc, restart_trc.nc)
+
+[OutputText]
+List=   ()
+
+[OutputFiles]
+List=   (${PREFIX_NWRITETRC}_${DATE_OPA}_ptrc_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_ptrc_T.nc, Post_1M_ptrc_T), \
+        (${PREFIX_NWRITETRC}_${DATE_OPA}_diad_T.nc, ${R_OUT_TOP_NWRITE}/${PREFIX}_${WFT1}_diad_T.nc, Post_1M_diad_T)
+
+[Post_1M_ptrc_T]
+Patches= ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (DCHL, NCHL, NO3, PO4, Si, Fer, DIC, Alkalini, DOC)
+
+[Post_1M_diad_T]
+Patches = ()
+GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter)
+TimeSeriesVars = (PMO, PMO2, DelC, Cflx, PPD, PPN)
+
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver	(revision 925)
@@ -0,0 +1,112 @@
+#!/bin/ksh
+
+#-----------------------------------
+function MBG_Initialize
+{ 
+    IGCM_debug_PushStack "MBG_Initialize"
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+    ##--Variables used by OPA --
+
+
+    ##--Variables used by MBG --
+
+    # lrsttr    boolean term for tracer model restart (true or false)
+    # nrsttr    control of the time step (0, 1 or 2)
+    
+    ##--Variables used by PISCES --
+ 
+    PAT_TOP_LRSTTR=$( supergrep ln_rsttr          ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_TOP_NRSTTR=$( supergrep nrsttr            ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_PIS_LRIVER=$( supergrep ln_river          ${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE} )
+
+    IGCM_debug_PopStack "MBG_Initialize"
+}
+
+#-----------------------------------
+function MBG_Update
+{
+    IGCM_debug_PushStack "MBG_Update"
+
+    ##--Write Frequency Purpose
+    Nbfreq=$( echo ${config_MBG_WriteFrequency} | wc -w )
+    typeset -Z1 i=1
+    while [ $i -le ${Nbfreq} ]; do
+       topfrequency=$( echo ${config_MBG_WriteFrequency} | awk -v var="$i" "-F " '{print $var}' )
+       topfactor=$( echo ${topfrequency} | sed -e "s/[yYmMdD]//" )
+       case ${topfrequency} in
+         *Y|*y)
+            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}y_${DatesPeriod} ;
+            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_Y} ;
+            eval WFT${i}=${topfactor}Y ;;
+         *M|*m)
+            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}m_${DatesPeriod} ;
+            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_M} ;
+            eval WFT${i}=${topfactor}M ;;
+         *D|*d)
+            eval PREFIX_WFT${i}=${config_UserChoices_JobName}_${topfactor}d_${DatesPeriod} ;
+            eval R_OUT_MBG_WFT${i}=${R_OUT_MBG_O_D} ;
+            eval WFT${i}=${topfactor}D ;;
+         *)
+      esac
+       let i=$i+1
+    done
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "n" ] ) ; then
+
+        #echo "NO RESTART FOR TOP"
+        TOP_LRSTTR=.FALSE.
+        TOP_NRSTTR=0
+
+        PISCES_LRIVER=.FALSE.
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_MBG_Restart}" = "y" ] ) ; then
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=0
+
+        PISCES_LRIVER=.TRUE.
+
+    else
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=2
+
+        PISCES_LRIVER=.TRUE.
+
+    fi
+
+# on force les sorties PISCES comme les sorties OPA
+
+    sed -e "s%${PAT_TOP_LRSTTR}%          ln_rsttr=${TOP_LRSTTR}%"                   \
+        -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
+        namelist_top > namelist_top.tmp
+
+    IGCM_sys_Mv namelist_top.tmp namelist_top
+
+    sed -e "s%${PAT_PIS_LRIVER}%          ln_river=${PISCES_LRIVER}%"                \
+        namelist_pisces > namelist_pisces.tmp
+
+    IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+
+
+    IGCM_debug_PopStack "MBG_Update"
+}
+
+#-----------------------------------
+function MBG_Finalize
+{
+    IGCM_debug_PushStack "MBG_Finalize"
+
+    echo FINALIZE MBG !!!
+
+    IGCM_debug_PopStack "MBG_Finalize"
+}
+
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver.noiomput
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver.noiomput	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/COMP/pisces.driver.noiomput	(revision 925)
@@ -0,0 +1,113 @@
+#!/bin/ksh
+
+#-----------------------------------
+function TOP_Initialize
+{ 
+    IGCM_debug_PushStack "TOP_Initialize"
+
+    ##--Variables used by TOP --
+
+    # nwritetrc frequency of write in the tracer output file
+    # lrsttr    boolean term for tracer model restart (true or false)
+    # nrsttr    control of the time step (0, 1 or 2)
+    # ntrd_trc   time step frequency of write in the trends file for tracers
+    # ln_trdmld_trc_restart boolean term for trc trends restart (true or false)
+    
+    ##--Variables used by PISCES --
+ 
+    # nwritedia frequency of write in the additional diag output file
+
+# Local function to find namelists parameters
+supergrep () {
+    grep "^ *$1 *=" $2 | sed -e "s% *\!.*%%"
+}
+
+    PAT_TOP_NWRITETRC=$( supergrep nwritetrc             ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_TOP_LRSTTR=$( supergrep ln_rsttr                   ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_TOP_NRSTTR=$( supergrep nrsttr                   ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_TOP_NWRITETRD=$( supergrep ntrd_trc              ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+    PAT_TOP_RSTRTTRD=$( supergrep ln_trdmld_trc_restart  ${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE} )
+
+    PAT_PIS_NWRITEDIA=$( supergrep nwritedia             ${SUBMIT_DIR}/PARAM/namelist_pisces_${RESOL_OCE} )
+
+    IGCM_debug_PopStack "TOP_Initialize"
+}
+
+#-----------------------------------
+function TOP_Update
+{
+    IGCM_debug_PushStack "TOP_Update"
+
+    ##--Write Frequency Purpose ....
+    topfrequency=$( echo ${config_TOP_WriteFrequency} | awk "-F " '{print $1}' )
+    topfactor=$( echo ${topfrequency} | sed -e "s/[yYmMdD]//" )
+    case ${topfrequency} in
+        1Y|1y)
+            (( TOP_NWRITE = ORCA_NPDT_JOUR * topfactor * $( IGCM_date_DaysInYear  ${year} ) ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}y ;
+            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_Y} ;
+            WFT1=${topfactor}Y ;;
+        1M|1m)
+            (( TOP_NWRITE = ORCA_NPDT_JOUR * topfactor * $( IGCM_date_DaysInMonth  ${year} ${month} ) ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}m ;
+            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_M} ;
+            WFT1=${topfactor}M ;;
+        *D|*d)
+            (( TOP_NWRITE = ORCA_NPDT_JOUR * topfactor  ))          ;
+            PREFIX_NWRITETRC=${config_UserChoices_JobName}_${topfactor}d ;
+            R_OUT_TOP_NWRITE=${R_OUT_TOP_O_D} ;
+            WFT1=${topfactor}D ;;
+        *)
+    esac
+
+    ##-- Restart configuration
+    if ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_TOP_Restart}" = "n" ] ) ; then
+
+        #echo "NO RESTART FOR TOP"
+        TOP_LRSTTR=.FALSE.
+        TOP_NRSTTR=0
+
+    elif ( [ "${CumulPeriod}" -eq 1 ] && [ "${config_TOP_Restart}" = "y" ] ) ; then
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=0
+
+    else
+
+        #echo "RESTART TOP"
+        TOP_LRSTTR=.TRUE.
+        TOP_NRSTTR=2
+    fi
+
+    sed -e "s%${PAT_TOP_NWRITETRC}%       nwritetrc=${TOP_NWRITE}%"               \
+        -e "s%${PAT_TOP_NWRITETRD}%       ntrd_trc=${TOP_NWRITE}%"                \
+        -e "s%${PAT_TOP_LRSTTR}%          ln_rsttr=${TOP_LRSTTR}%"                   \
+        -e "s%${PAT_TOP_NRSTTR}%          nrsttr=${TOP_NRSTTR}%"                   \
+        namelist_top > namelist_top.tmp
+
+    IGCM_sys_Mv namelist_top.tmp namelist_top
+
+# on force les sorties PISCES comme les sorties OPA
+
+    sed -e "s%${PAT_PIS_NWRITEDIA}%       nwritedia=${TOP_NWRITE}%"              \
+        namelist_pisces > namelist_pisces.tmp
+
+    IGCM_sys_Mv namelist_pisces.tmp namelist_pisces
+
+    echo 'Variables automatically updated in namelists'
+    grep AUTO namelist*
+
+    IGCM_debug_PopStack "TOP_Update"
+}
+
+#-----------------------------------
+function TOP_Finalize
+{
+    IGCM_debug_PushStack "TOP_Finalize"
+
+    echo FINALIZE TOP !!!
+
+    IGCM_debug_PopStack "TOP_Finalize"
+}
+
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml	(revision 924)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/iodef.xml	(revision 925)
@@ -202,4 +202,67 @@
       </group>
 
+      <!-- ptrc on T grid -->
+
+     <group id="ptrc_T" axis_ref="deptht" grid_ref="grid_T">  
+       <field id="DIC"      description="Dissolved inorganic Concentration"        unit="mol-C/L" />
+       <field id="Alkalini" description="Total Alkalinity Concentration"           unit="eq/L"    />
+       <field id="O2"       description="Oxygen Concentration"                     unit="mol-C/L" />
+       <field id="CaCO3"    description="Calcite Concentration"                    unit="mol-C/L" />
+       <field id="PO4"      description="Phosphate Concentration"                  unit="mol-C/L" />
+       <field id="POC"      description="Small organic carbon Concentration"       unit="mol-C/L" />
+       <field id="Si"       description="Silicate Concentration"                   unit="mol-C/L" />
+       <field id="PHY"      description="Nanophytoplankton Concentration"          unit="mol-C/L" />
+       <field id="ZOO"      description="Microzooplankton Concentration"           unit="mol-C/L" />
+       <field id="DOC"      description="Dissolved organic Concentration"          unit="mol-C/L" />
+       <field id="PHY2"     description="Diatoms Concentration"                    unit="mol-C/L" />
+       <field id="ZOO2"     description="Mesozooplankton Concentration"            unit="mol-C/L" />
+       <field id="BSi"      description="Diatoms Silicate Concentration"           unit="mol-C/L" />
+       <field id="Fer"      description="Dissolved Iron Concentration"             unit="mol-C/L" />
+       <field id="BFe"      description="Big iron particles Concentration"         unit="mol-C/L" />
+       <field id="GOC"      description="Big organic carbon Concentration"         unit="mol-C/L" />
+       <field id="SFe"      description="Small iron particles Concentration"       unit="mol-C/L" />
+       <field id="DFe"      description="Diatoms iron  Concentration"              unit="mol-C/L" />
+       <field id="DSi"      description="Sinking biogenic Silicate Concentration"  unit="mol-C/L" />
+       <field id="NFe"      description="Nano iron Concentration"                  unit="mol-C/L" />
+       <field id="NCHL"     description="Nano chlorophyl Concentration"            unit="mol-C/L" />
+       <field id="DCHL"     description="Diatoms chlorophyl Concentration"         unit="mol-C/L" />
+       <field id="NO3"      description="Nitrates Concentration"                   unit="mol-C/L" />
+       <field id="NH4"      description="Ammonium Concentration"                   unit="mol-C/L" />
+     </group>
+
+      <!-- diad on T grid -->
+
+     <group id="diad_T" axis_ref="none" grid_ref="grid_T">
+       <field id="PH"          description="PH"                                       unit="-"            axis_ref="deptht" />
+       <field id="CO3"         description="Bicarbonates"                             unit="mol/L"        axis_ref="deptht" />
+       <field id="CO3sat"      description="CO3 saturation"                           unit="mol/L"        axis_ref="deptht" />
+       <field id="PAR"         description="Photosynthetically Available Radiation"   unit="W/m2"         axis_ref="deptht" />
+       <field id="PPPHY"       description="Primary production of nanophyto"          unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="PPPHY2"      description="Primary production of diatoms"            unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWN"      description="New Primary production of nanophyto"      unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="PPNEWD"      description="New Primary production of diatoms"        unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="PBSi"        description="Primary production of Si diatoms"         unit="mol-Si/m3/s"  axis_ref="deptht" />
+       <field id="PFeN"        description="Primary production of nano iron"          unit="mol-Fe/m3/s"  axis_ref="deptht" />
+       <field id="PFeD"        description="Primary production of diatoms iron"       unit="mol-Fe/m3/s"  axis_ref="deptht" />
+       <field id="Pcal"        description="Calcite production"                       unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="Dcal"        description="Calcite dissolution"                      unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="Graz"        description="Grazing by microzoo"                      unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="Graz2"       description="Grazing by mesozoo"                       unit="mol-C/m3/s"   axis_ref="deptht" />
+       <field id="Nfix"        description="Nitrogen fixation"                        unit="mol-N/m2/s"   axis_ref="deptht" />
+       <field id="ExpPOC"      description="POC export"                               unit="mol-C/m2/s"   axis_ref="deptht" />
+       <field id="ExpGOC"      description="GOC export"                               unit="mol-C/m2/s"   axis_ref="deptht" />
+       <field id="ExpFe1"      description="Nano iron export"                         unit="mol-Fe/m2/s"  axis_ref="deptht" />
+       <field id="ExpFe2"      description="Diatoms iron export"                      unit="mol-Fe/m2/s"  axis_ref="deptht" />
+       <field id="ExpSi"       description="Silicate export"                          unit="mol-Si/m2/s"  axis_ref="deptht" />
+       <field id="Expcal"      description="Calcite export"                           unit="mol-C/m2/s"   axis_ref="deptht" />
+       <field id="Cflx"        description="DIC flux"                                 unit="mol-C/m2/s" />
+       <field id="Oflx"        description="Oxygen flux"                              unit="mol-C/m2/s" />
+       <field id="Kg"          description="Gas transfer"                             unit="mol-C/m2/s/uatm" />
+       <field id="Dpco2"       description="Delta CO2"                                unit="uatm" />
+       <field id="Dpo2"        description="Delta O2"                                 unit="uatm" />
+       <field id="Heup"        description="Euphotic layer depth"                     unit="m" />
+       <field id="Irondep"     description="Iron deposition"                          unit="mol-Fe/m2/s" />
+     </group>
+       
     </field_definition>
     
@@ -459,4 +522,46 @@
 	</file>   
 
+        <file id="ORCA2_1m_ptrc_T" description="pisces sms variables" >
+          <field ref="DIC"      />
+          <field ref="Alkalini" />
+          <field ref="O2"       />
+          <field ref="NCHL"     />
+          <field ref="DCHL"     />
+          <field ref="DOC"      />
+          <field ref="Fer"      />
+          <field ref="NO3"      />
+       </file>
+
+       <file id="ORCA2_1m_diad_T" description="additional pisces diagnostics" >
+          <field ref="PH"       />
+          <field ref="CO3"      />
+          <field ref="CO3sat"   />
+          <field ref="PAR"      />
+          <field ref="PPPHY"    />
+          <field ref="PPPHY2"   />
+          <field ref="PPNEWN"   />
+          <field ref="PPNEWD"   />
+          <field ref="PBSi"     />
+          <field ref="PFeN"     />
+          <field ref="PFeD"     />
+          <field ref="Pcal"     />
+          <field ref="Dcal"     />
+          <field ref="Graz"     />
+          <field ref="Graz2"    />
+          <field ref="Cflx"     />
+          <field ref="ExpPOC"   />
+          <field ref="ExpGOC"   />
+          <field ref="ExpFe1"   />
+          <field ref="ExpFe2"   />
+          <field ref="ExpSi"    />
+          <field ref="Expcal"   />
+          <field ref="Oflx"     />
+          <field ref="Kg"       />
+          <field ref="Dpco2"    />
+          <field ref="Dpo2"     />
+          <field ref="Heup"     />
+          <field ref="Irondep"  />
+          <field ref="Nfix"     />
+       </file>
 
       </group>   
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2	(revision 924)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_ORCA2	(revision 925)
@@ -227,6 +227,6 @@
    ln_qsr_rgb  = .true.    !  RGB (Red-Green-Blue) light penetration
    ln_qsr_2bd  = .false.   !  2 bands              light penetration
-   ln_qsr_bio  = .false.   !  bio-model light penetration
-   nn_chldta   =      1    !  RGB : Chl data (=1) or cst value (=0)
+   ln_qsr_bio  = .true.    !  bio-model light penetration
+   nn_chldta   =      0    !  RGB : Chl data (=1) or cst value (=0)
    rn_abs      =   0.58    !  RGB & 2 bands: fraction of light (rn_si1)
    rn_si0      =   0.35    !  RGB & 2 bands: shortess depth of extinction
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_pisces_ORCA2
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_pisces_ORCA2	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_pisces_ORCA2	(revision 925)
@@ -0,0 +1,177 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! PISCES  :    1  - air-sea exchange                         (nampisext)
+!! namelists    2  - biological parameters                    (nampisbio)
+!!              3  - parameters for nutrient limitations      (nampislim)    
+!!              4  - parameters for phytoplankton             (nampisprod,nampismort)
+!!              5  - parameters for zooplankton               (nampismes,nampiszoo)
+!!              6  - parameters for remineralization          (nampisrem)
+!!              7  - parameters for calcite chemistry         (nampiscal)
+!!              8  - parameters for inputs deposition         (nampissed)
+!!              9  - parameters for Kriest parameterization   (nampiskrp, nampiskrs)
+!!              10 - additional 2D/3D  diagnostics            (nampisdia)
+!!              11 - Damping                                  (nampisdmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisext     !   air-sea exchange
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   atcco2     = 278.    ! atmospheric pCO2
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisbio     !   biological parameters
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   part       =  0.85    ! part of calcite not dissolved in guts
+   nrdttrc    =  1       ! time step frequency for biology
+   wsbio      =  2.      ! POC sinking speed
+   xkmort     =  1.E-7   ! half saturation constant for mortality
+   ferat3     =  3.E-6   ! Fe/C in zooplankton 
+   wsbio2     =  50.     ! Big particles sinking speed
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampislim     !   parameters for nutrient limitations
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   conc0      =  2.e-6    ! Phosphate half saturation
+   conc1      =  10E-6    ! Phosphate half saturation for diatoms
+   conc2      =  0.02E-9  ! Iron half saturation for phyto
+   conc2m     =  0.08E-9  ! Max iron half saturation for phyto
+   conc3      =  0.1E-9   ! Iron half saturation for diatoms
+   conc3m     =  0.4E-9   ! Maxi iron half saturation for diatoms
+   concnnh4   =  1.E-7    ! NH4 half saturation for phyto
+   concdnh4   =  5.E-7    ! NH4 half saturation for diatoms
+   xksi1      =  2.E-6    ! half saturation constant for Si uptake
+   xksi2      =  3.33E-6  ! half saturation constant for Si/C
+   xkdoc      =  417.E-6  ! half-saturation constant of DOC remineralization
+   caco3r     =  0.3      ! mean rain ratio
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisprod     !   parameters for phytoplankton growth
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   pislope    =  4.       ! P-I slope  
+   pislope2   =  4.       ! P-I slope  for diatoms
+   excret     =  0.05     ! excretion ratio of phytoplankton
+   excret2    =  0.05     ! excretion ratio of diatoms
+   chlcnm     =  0.033    ! Minimum Chl/C in nanophytoplankton
+   chlcdm     =  0.05     ! Minimum Chl/C in diatoms
+   fecnm      =  10E-6    ! Maximum Fe/C in nanophytoplankton
+   fecdm      =  15E-6    ! Minimum Fe/C in diatoms
+   grosip     =  0.151    ! mean Si/C ratio
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampismort     !   parameters for phytoplankton sinks
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   wchl       =  0.001    ! quadratic mortality of phytoplankton
+   wchld      =  0.02     ! maximum quadratic mortality of diatoms
+   mprat      =  0.01     ! phytoplankton mortality rate
+   mprat2     =  0.01     ! Diatoms mortality rate
+   mpratm     =  0.01     ! Phytoplankton minimum mortality rate
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampismes     !   parameters for mesozooplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   grazrat2   =  0.7      ! maximal mesozoo grazing rate
+   resrat2    =  0.005    ! exsudation rate of mesozooplankton
+   mzrat2     =  0.03     ! mesozooplankton mortality rate
+   xprefc     =  1.       ! zoo preference for phyto
+   xprefp     =  0.2      ! zoo preference for POC
+   xprefz     =  1.       ! zoo preference for zoo
+   xprefpoc   =  0.2      ! zoo preference for poc
+   xkgraz2    =  20.E-6   ! half sturation constant for meso grazing
+   epsher2    =  0.33     ! Efficicency of Mesozoo growth 
+   sigma2     =  0.6      ! Fraction of mesozoo excretion as DOM
+   unass2     =  0.3      ! non assimilated fraction of P by mesozoo
+   grazflux   =  5.e3     ! flux-feeding rate
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiszoo     !   parameters for microzooplankton
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   grazrat    =  4.0      ! maximal zoo grazing rate   
+   resrat     =  0.03     ! exsudation rate of zooplankton
+   mzrat      =  0.0      ! zooplankton mortality rate
+   xpref2c    =  0.0      ! Microzoo preference for POM 
+   xpref2p    =  0.5      ! Microzoo preference for Nanophyto
+   xpref2d    =  0.5      ! Microzoo preference for Diatoms
+   xkgraz     =  20.E-6   ! half sturation constant for grazing 
+   epsher     =  0.33     ! Efficiency of microzoo growth
+   sigma1     =  0.6      ! Fraction of microzoo excretion as DOM
+   unass      =  0.3      ! non assimilated fraction of phyto by zoo
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisrem     !   parameters for remineralization
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xremik    =  0.3       ! remineralization rate of DOC
+   xremip    =  0.025     ! remineralisation rate of POC
+   nitrif    =  0.05      ! NH4 nitrification rate
+   xsirem    =  0.015     ! remineralization rate of Si
+   xlam1     =  0.005     ! scavenging rate of Iron
+   oxymin    =  1.E-6     ! Half-saturation constant for anoxia 
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiscal     !   parameters for Calcite chemistry
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   kdca       =  0.327e3  ! calcite dissolution rate constant (1/time)
+   nca        =  1.       ! order of dissolution reaction (dimensionless)
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampissed     !   parameters for inputs deposition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ln_dustfer  =  .true.   ! boolean for dust input from the atmosphere
+   ln_river    =  .true.   ! boolean for river input of nutrients
+   ln_ndepo    =  .true.   ! boolean for atmospheric deposition of N
+   ln_sedinput =  .true.   ! boolean for Fe input from sediments
+   sedfeinput  =  1E-9     ! Coastal release of Iron
+   dustsolub   =  0.014    ! Solubility of the dust
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiskrp     !   Kriest parameterization : parameters     "key_kriest"
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xkr_eta      = 1.17    ! Sinking  exponent
+   xkr_zeta     = 2.28    ! N content exponent
+   xkr_mass_min = 0.0002  ! Minimum mass for Aggregates
+   xkr_mass_max = 1.      ! Maximum mass for Aggregates
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampiskrs     !   Kriest parameterization : size classes  "key_kriest"
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   xkr_sfact    = 942.    ! Sinking factor
+   xkr_stick    = 0.5     ! Stickiness
+   xkr_nnano    = 2.337   ! Nbr of cell in nano size class
+   xkr_ndiat    = 3.718   ! Nbr of cell in diatoms size class
+   xkr_nmeso    = 7.147   ! Nbr of cell in mesozoo size class
+   xkr_naggr    = 9.877   ! Nbr of cell in aggregates  size class
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisdia     !   additional 2D/3D tracers diagnostics ("key_trc_diaadd")
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   nwritedia   =  5475     !  time step frequency for tracers diagnostics
+!
+!              !    name   !           title of the field          !     units      !
+!              !           !                                       !                !  
+   pisdia2d(1)  = 'Cflx     ' , 'DIC flux                          ',  'molC/m2/s    '
+   pisdia2d(2)  = 'Oflx     ' , 'Oxygen flux                       ',  'molC/m2/s    '
+   pisdia2d(3)  = 'Kg       ' , 'Gas transfer                      ',  'mol/m2/s/uatm'
+   pisdia2d(4)  = 'Delc     ' , 'Delta CO2                         ',  'uatm         '
+   pisdia2d(5)  = 'PMO      ' , 'POC export                        ',  'molC/m2/s    '
+   pisdia2d(6)  = 'PMO2     ' , 'GOC export                        ',  'molC/m2/s    '
+   pisdia2d(7)  = 'ExpFe1   ' , 'Nano iron export                  ',  'molFe/m2/s   '
+   pisdia2d(8)  = 'ExpFe2   ' , 'Diatoms iron export               ',  'molFe/m2/s   '
+   pisdia2d(9)  = 'ExpSi    ' , 'Silicate export                   ',  'molSi/m2/s   '
+   pisdia2d(10) = 'ExpCaCO3 ' , 'Calcite export                    ',  'molC/m2/s    '
+   pisdia2d(11) = 'heup     ' , 'euphotic layer depth              ',  'm            '
+   pisdia2d(12) = 'Fedep    ' , 'Iron dep                          ',  'molFe/m2/s   '
+   pisdia2d(13) = 'Nfix     ' , 'Nitrogen Fixation                 ',  'molN/m2/s    '
+   pisdia3d(1)  = 'PH       ' , 'PH                                ',  '-            '
+   pisdia3d(2)  = 'CO3      ' , 'Bicarbonates                      ',  'mol/l        '
+   pisdia3d(3)  = 'CO3sat   ' , 'CO3 saturation                    ',  'mol/l        '
+   pisdia3d(4)  = 'PAR      ' , 'light penetration                 ',  'W/m2         '
+   pisdia3d(5)  = 'PPPHY    ' , 'Primary production of nanophyto   ',  'molC/m3/s    '
+   pisdia3d(6)  = 'PPPHY2   ' , 'Primary production of diatoms     ',  'molC/m3/s    '
+   pisdia3d(7)  = 'PPNEWN   ' , 'New Primary production of nano    ',  'molC/m3/s    '
+   pisdia3d(8)  = 'PPNEWD   ' , 'New Primary production of diat    ',  'molC/m3/s    '
+   pisdia3d(9)  = 'PBSi     ' , 'Primary production of Si diatoms  ',  'molSi/m3/s   '
+   pisdia3d(10) = 'PFeN     ' , 'Primary production of nano iron   ',  'molFe/m3/s   '
+   pisdia3d(11) = 'PFeD     ' , 'Primary production of diatoms iron',  'molFe/m3/s   '
+/
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&nampisdmp     !  Damping 
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ln_pisdmp    =  .true.     !  Relaxation fo some tracers to a mean value
+/
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_top_ORCA2
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_top_ORCA2	(revision 925)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/PARAM/namelist_top_ORCA2	(revision 925)
@@ -0,0 +1,143 @@
+!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!! NEMO/TOP1 :  1 - tracer definition                     (namtoptrc)
+!! namelists    2 - dynamical tracer trends               (namtoptrd)
+!!              6 - tracer advection                      (namtopadv)
+!!              7 - tracer bottom boundary                (namtopbbl)
+!!              8 - tracer lateral diffusion              (namtopldf)
+!!              3 - tracer vertical physics               (namtopzdf)
+!!              9 - tracer newtonian damping              (namtopdmp)
+!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
+&namtoptrc     !   tracers definition
+!,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,,
+   ndttrc      =  1        !  time step frequency for passive tracers      
+   nwritetrc   =  5475     !  time step frequency for tracer outputs
+   ln_rsttr    = .false.   !  start from a restart file (T) or not (F)
+   nrsttr      =   0       !  restart control = 0 initial time step is not compared to the restart file value
+                           !                  = 1 do not use the value in the restart file
+                           !                  = 2 calendar parameters read in the restart file
+   cn_trcrst_in  = "restart_trc"   !  suffix of pass. tracer restart name (input)
+   cn_trcrst_out = "restart_trc"   !  suffix of pass. tracer restart name (output)
+!
+!              !    name   !           title of the field              !   units   ! initial data ! save   !
+!              !           !                                           !           ! from file    ! or not ! 
+!              !           !                                           !           ! or not       !        !
+   tracer(1)   = 'DIC     ' , 'Dissolved inorganic Concentration      ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(2)   = 'Alkalini' , 'Total Alkalinity Concentration         ',  'eq/L ' ,  .false.     ,  .true.
+   tracer(3)   = 'O2      ' , 'Dissolved Oxygen Concentration         ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(4)   = 'CaCO3   ' , 'Calcite Concentration                  ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(5)   = 'PO4     ' , 'Phosphate Concentration                ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(6)   = 'POC     ' , 'Small organic carbon Concentration     ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(7)   = 'Si      ' , 'Silicate Concentration                 ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(8)   = 'PHY     ' , 'Nanophytoplankton Concentration        ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(9)   = 'ZOO     ' , 'Microzooplankton Concentration         ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(10)  = 'DOC     ' , 'Dissolved organic Concentration        ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(11)  = 'PHY2    ' , 'Diatoms Concentration                  ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(12)  = 'ZOO2    ' , 'Mesozooplankton Concentration          ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(13)  = 'BSi     ' , 'Diatoms Silicate Concentration         ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(14)  = 'Fer     ' , 'Dissolved Iron Concentration           ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(15)  = 'BFe     ' , 'Big iron particles Concentration       ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(16)  = 'GOC     ' , 'Big organic carbon Concentration       ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(17)  = 'SFe     ' , 'Small iron particles Concentration     ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(18)  = 'DFe     ' , 'Diatoms iron  Concentration            ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(19)  = 'DSi     ' , 'Sinking biogenic Silicate Concentration',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(20)  = 'NFe     ' , 'Nano iron Concentration                ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(21)  = 'NCHL    ' , 'Nano chlorophyl Concentration          ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(22)  = 'DCHL    ' , 'Diatoms chlorophyl Concentration       ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(23)  = 'NO3     ' , 'Nitrates Concentration                 ',  'mol-C/L' ,  .false.     ,  .true.
+   tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' ,  .false.     ,  .true.
+/
+!-----------------------------------------------------------------------
+&namtopadv    !   advection scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcadv_cen2   =  .false.  !  2nd order centered scheme   
+   ln_trcadv_tvd    =  .false.  !  TVD scheme   
+   ln_trcadv_muscl  =  .true.   !  MUSCL scheme
+   ln_trcadv_muscl2 =  .false.  !  MUSCL2 scheme + cen2 at boundaries
+   ln_trcadv_smolar =  .false.  !  SMOLAR scheme
+   rsc              =  1.       !  tuning coefficient for Smolar. scheme 
+   ncortrc          =  1        !  number of corrective phases for Smolar. scheme 
+   crosster         =  .false.  !  computes Smolar crossterms (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopbbl    !   bottom boundary layer scheme for passive tracer 
+!-----------------------------------------------------------------------
+   atrcbbl          = 1000.     !  lateral mixing coefficient in the bbl  [m2/s]
+/
+!-----------------------------------------------------------------------
+&namtopldf    !   lateral diffusion scheme for passive tracer 
+!-----------------------------------------------------------------------
+   ln_trcldf_diff   =  .true.   !  performs lateral diffusion (T) or not (F)
+!                               !  Type of the operator : 
+   ln_trcldf_lap    =  .true.   !     laplacian operator       
+   ln_trcldf_bilap  =  .false.  !     bilaplacian operator     
+                                !  Direction of action  :
+   ln_trcldf_level  =  .false.  !     iso-level                
+   ln_trcldf_hor    =  .false.  !     horizontal (geopotential)         (require "key_ldfslp" when ln_sco=T)
+   ln_trcldf_iso    =  .true.   !     iso-neutral                       (require "key_ldfslp")
+!                               !  Coefficient
+   ahtrc0      =  2000.         !     horizontal eddy diffusivity for tracers [m2/s]
+   ahtrb0      =     0.         !     background eddy diffusivity for ldf_iso [m2/s]
+   aeivtr0     =  2000.         !     eddy induced velocity coefficient [m2/s]    (require "key_trcldf_eiv")
+   trcrat      =  1.            !  ratio betweeen passive and active tracer diffusion coeff
+/
+!-----------------------------------------------------------------------
+&namtopzdf        !   vertical physics
+!-----------------------------------------------------------------------
+   ln_trczdf_exp   =  .false.  !  split explicit (T) or implicit (F) time stepping
+   n_trczdf_exp    =   3       !  number of sub-timestep for ln_trczdfexp=T
+/
+!-----------------------------------------------------------------------
+&namtoprad        !  treatment of negative concentrations 
+!-----------------------------------------------------------------------
+   ln_trcrad   =  .true.  !  artificially correct negative concentrations (T) or not (F)
+/
+!-----------------------------------------------------------------------
+&namtopdmp        !   passive tracer newtonian damping                 ('key_trcdmp')
+!-----------------------------------------------------------------------
+   ndmptr      =   20      !  type of damping in passive tracers
+                           !     ='latitude', damping poleward of 'ndmp' degrees and function 
+                           !                  of the distance-to-coast. Red and Med Seas as ndmptr=-1
+                           !     =-1 damping only in Med and Red Seas
+   ndmpftr     =    0      !  create a damping.coeff NetCDF file (=1) or not (=0)
+   nmldmptr    =    1      !  type of damping: =0 damping throughout the water column
+                           !                   =1 no damping in the mixed layer defined by avt >5cm2/s )
+                           !                   =2 no damping in the mixed layer defined rho<rho(surf)+.01 )
+   sdmptr      =   50.     !  surface time scale for internal damping (days)
+   bdmptr      =  360.     !  bottom  time scale for internal damping (days)
+   hdmptr      =  800.     !  depth of transition between sdmptr and bdmptr (meters)
+/
+!-----------------------------------------------------------------------
+&namtoptrd       !   diagnostics on tracer trends
+!                          or mixed-layer trends          ('key_trdmld_trc')
+!----------------------------------------------------------------------
+   ntrd_trc   =  5475      !  time step frequency and tracers trends
+   nctls_trc  =   0        !  control surface type in mixed-layer trends (0,1 or n<jpk)
+   ucf_trc    =   1        !  unit conversion factor (=1 -> /seconds ; =86400. -> /day)
+   ln_trdmld_trc_restart = .false.  !  restart for ML diagnostics
+   ln_trdmld_trc_instant = .true.  !  flag to diagnose trends of instantantaneous or mean ML T/S
+   luttrd(1)  =   .true.
+   luttrd(2)  =   .true.
+   luttrd(3)  =   .false.
+   luttrd(4)  =   .false.
+   luttrd(5)  =   .false.
+   luttrd(6)  =   .false.
+   luttrd(7)  =   .false.
+   luttrd(8)  =   .false.
+   luttrd(9)  =   .false.
+   luttrd(10) =   .false.
+   luttrd(11) =   .false.
+   luttrd(12) =   .false.
+   luttrd(13) =   .false.
+   luttrd(14) =   .false.
+   luttrd(15) =   .false.
+   luttrd(16) =   .false.
+   luttrd(17) =   .false.
+   luttrd(18) =   .false.
+   luttrd(19) =   .false.
+   luttrd(20) =   .false.
+   luttrd(21) =   .false.
+   luttrd(22) =   .false.
+   luttrd(23) =   .true.
+   luttrd(24) =   .false.
+/
Index: /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/config.card
===================================================================
--- /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/config.card	(revision 924)
+++ /CONFIG/IPSLCM/IPSLCM5/branches/IPSLCM5_v3/EXP00/config.card	(revision 925)
@@ -11,5 +11,5 @@
 #-- (<8 chars MAX for JobName)
 JobName=EXP00
-LongName="IPSLCM5_v2"
+LongName="IPSLCM5_v3"
 TagName=IPSLCM5
 #============================
@@ -103,4 +103,18 @@
 
 #========================================================================
+#D-- MBG -
+[MBG]
+WriteFrequency="1M"
+# If config_Restarts_OverRule == 'n' next 4 params are read
+Restart= y
+##-- Last day of the experience used as restart for this component if Restart=y
+RestartDate=1100-12-31
+# Define restart simulation name
+RestartJobName=ST11RP
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5
+# Old component name for restart (if empty, use new name)
+OldName=
+
+#========================================================================
 #D-- SRF -
 [SRF]
@@ -153,4 +167,5 @@
 OCE= (opa9, NEMO_v3_2)
 ICE= (lim2, LIM_2)
+MBG= (pisces, PISCES)
 CPL= (oasis, OASIS3)
 
@@ -165,4 +180,5 @@
 OCE= (opa, opa.xx)
 ICE= ("", "")
+MBG= ("", "")
 CPL= (oasis, oasis)
 
